## org.codehaus.groovy.grails.aop.framework.autoproxy
Class GroovyAwareInfrastructureAdvisorAutoProxyCreator

    java.lang.Object
      org.springframework.aop.framework.ProxyConfig
          org.springframework.aop.framework.autoproxy.AbstractAutoProxyCreator
              org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator
                  org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator
                      org.codehaus.groovy.grails.aop.framework.autoproxy.GroovyAwareInfrastructureAdvisorAutoProxyCreator

All Implemented Interfaces:
  Serializable, AopInfrastructureBean, BeanClassLoaderAware, BeanFactoryAware, BeanPostProcessor, InstantiationAwareBeanPostProcessor, SmartInstantiationAwareBeanPostProcessor, Ordered

    public class GroovyAwareInfrastructureAdvisorAutoProxyCreator

extends InfrastructureAdvisorAutoProxyCreator

Tells Spring always to proxy Groovy classes

Since:
  1.2
Author:
  Graeme Rocher
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.springframework.aop.framework.autoproxy.AbstractAutoProxyCreator
`DO_NOT_PROXY, logger, PROXY_WITHOUT_ADDITIONAL_INTERCEPTORS`

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`GroovyAwareInfrastructureAdvisorAutoProxyCreator()`

Method Summary
`protected boolean` `shouldProxyTargetClass(Class<?> beanClass, String beanName)`

Methods inherited from class org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator
`initBeanFactory, isEligibleAdvisorBean`

Methods inherited from class org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator
`advisorsPreFiltered, extendAdvisors, findAdvisorsThatCanApply, findCandidateAdvisors, findEligibleAdvisors, getAdvicesAndAdvisorsForBean, setBeanFactory, sortAdvisors`

Methods inherited from class org.springframework.aop.framework.autoproxy.AbstractAutoProxyCreator

`buildAdvisors, createProxy, customizeProxyFactory, determineCandidateConstructors, getBeanFactory, getCacheKey, getCustomTargetSource, getEarlyBeanReference, getOrder, isFrozen, isInfrastructureClass, postProcessAfterInitialization, postProcessAfterInstantiation, postProcessBeforeInitialization, postProcessBeforeInstantiation, postProcessPropertyValues, predictBeanType, setAdvisorAdapterRegistry, setApplyCommonInterceptorsFirst, setBeanClassLoader, setCustomTargetSourceCreators, setFrozen, setInterceptorNames, setOrder, setProxyClassLoader, shouldSkip, wrapIfNecessary`

Methods inherited from class org.springframework.aop.framework.ProxyConfig
`copyFrom, isExposeProxy, isOpaque, isOptimize, isProxyTargetClass, setExposeProxy, setOpaque, setOptimize, setProxyTargetClass, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroovyAwareInfrastructureAdvisorAutoProxyCreator

    public GroovyAwareInfrastructureAdvisorAutoProxyCreator()

Method Detail

### shouldProxyTargetClass

    protected boolean shouldProxyTargetClass(Class<?> beanClass,
                                             String beanName)

  Overrides:
    `shouldProxyTargetClass` in class `AbstractAutoProxyCreator`

Copyright (c) 2005-2009 The Grails project